Author Topic: Virtuemart and joomla 4  (Read 25503 times)

EvanGR

  • Jr. Member
  • **
  • Posts: 453
Re: Virtuemart and joomla 4
« Reply #15 on: August 02, 2021, 08:52:38 am »
I am looking forward to the complete removal of jQuery/mootools, and the transition to bootstrap 5.

AH

  • Global Moderator
  • Sr. Member
  • *
  • Posts: 3491
  • VirtueMart Version: 3.8.9
Re: Virtuemart and joomla 4
« Reply #16 on: August 02, 2021, 09:23:26 am »
Well you will not see that happening in VM
Regards
A

Joomla 3.9.27
php 7.4

EvanGR

  • Jr. Member
  • **
  • Posts: 453
Re: Virtuemart and joomla 4
« Reply #17 on: August 03, 2021, 09:49:39 am »
Why not?

AH

  • Global Moderator
  • Sr. Member
  • *
  • Posts: 3491
  • VirtueMart Version: 3.8.9
Re: Virtuemart and joomla 4
« Reply #18 on: August 03, 2021, 11:40:28 am »
Consider that many components and plugins that sites use will still expect jQuery - why expend massive effort in removing it from VM

Bootstrap 5 - just another framework

Of course - if you are willing to contribute funds and effort to competing such work - then you may find an audience
Regards
A

Joomla 3.9.27
php 7.4

EvanGR

  • Jr. Member
  • **
  • Posts: 453
Re: Virtuemart and joomla 4
« Reply #19 on: August 03, 2021, 12:04:21 pm »
True, backwards compatibility is important. You can't just throw everything out at once.
However, what we can do, is allow alternatives, and provide a gateway to the better ways of doing things.

For example, gradually move VirtueMart core itself, away from old and deprecated JS libraries. The components/plugins will follow.

Joomla 4 provides such an opportunity.

Bootstrap 5 may be "just another framework", but at least it removes the burden of jQuery, and opens the way for faster websites.

At the moment, there is a sizeable "cost" of several hundred of KBs worth of very old, deprecated, and potentially insecure (https://snyk.io/blog/84-percent-of-all-websites-impacted-by-jquery-xss-vulnerabilities/), scripts coming with a stock VM store.
I don't see this heritage as a benefit for the future of Virtuemart. Do you?




AH

  • Global Moderator
  • Sr. Member
  • *
  • Posts: 3491
  • VirtueMart Version: 3.8.9
Re: Virtuemart and joomla 4
« Reply #20 on: August 03, 2021, 19:59:52 pm »
Of course I agree that looking at new technologies is worthwhile for any platform - it is a balance between costing your existing user base $$$'s in upgrading and accessing new customers. 

jQuery.min is 32Kb not "hundreds of KB)
Regards
A

Joomla 3.9.27
php 7.4

razor7

  • Jr. Member
  • **
  • Posts: 355
    • MGSCreativa - Professional VM!
Re: Virtuemart and joomla 4
« Reply #21 on: August 17, 2021, 16:50:12 pm »
Please, keep Jquery...! Just developed a very specific payment plugin for a client in no time thanks to VM and jQuery...

After that pledge, today j4 was released, ┬┐is VM ready or in development to joomla j4?

Thanks!
MGS Creativa - VirtueMart Payment Plugin Experts
http://www.mgscreativa.com

Take a look at our downloads section for VirtueMart payment plugins and mouch more!
http://www.mgscreativa.com/en/online-store

GJC Web Design

  • 3rd party VirtueMart Developer
  • Super Hero
  • *
  • Posts: 10300
  • Virtuemart, Joomla & php developer
    • GJC Web Design
  • VirtueMart Version: 3.6.8
Re: Virtuemart and joomla 4
« Reply #22 on: August 18, 2021, 09:01:48 am »
Really don't understand this anti Jquery vibe.. it's quick, easy and light.. where is the problem?
GJC Web Design
VirtueMart and Joomla Developers - php developers http://www.gjcwebdesign.com
VM3 AusPost Shipping Plugin - e-go Shipping Plugin - VM3 Postcode Shipping Plugin - Radius Shipping Plugin - VM3 NZ Post Shipping Plugin - AusPost Estimator
Samport Payment Plugin - EcomMerchant Payment Plugin - ccBill payment Plugin
VM2 Product Lock Extension - VM2 Preconfig Adresses Extension - TaxCloud USA Taxes Plugin - Virtuemart  Product Review Component
http://extensions.joomla.org/profile/profile/details/67210
Contact for any VirtueMart or Joomla development & customisation

AH

  • Global Moderator
  • Sr. Member
  • *
  • Posts: 3491
  • VirtueMart Version: 3.8.9
Re: Virtuemart and joomla 4
« Reply #23 on: August 18, 2021, 09:31:49 am »
Me neither
Regards
A

Joomla 3.9.27
php 7.4

balai

  • 3rd party VirtueMart Developer
  • Full Member
  • *
  • Posts: 1459
Re: Virtuemart and joomla 4
« Reply #24 on: August 18, 2021, 11:39:55 am »
Quote
Really don't understand this anti Jquery vibe.. it's quick, easy and light.. where is the problem?
Quick and light is not. Easy it is.

Using an ~100KB framework (without its dependent packages) to achieve things that can be done with a few lines of vanilla javascript, is a good practice?
Security issues
Great contribution to the total blocking time (TBT)

Studio 42

  • Contributing Developer
  • Sr. Member
  • *
  • Posts: 4518
  • Joomla & Virtuemart developper
    • Studio 42 - Virtuemart & Joomla extentions
  • VirtueMart Version: 2.6 & 3
Re: Virtuemart and joomla 4
« Reply #25 on: August 18, 2021, 12:17:34 pm »
jQuery is fine for compatibility but not for speed and most frameworks are to heavy.
But what about speed of Joomla and Virtuemart or any framework or component ?
How much site use a template frameworks  or pagebuilder ?
You can do a website from scratch and use vanilla JS but how long you need to do it ?
The question is about compromise, cost /speed /easy ... because bootstrap itself load plenty of CSS and scripts for nothing, so why not removing bootstrap too ?
About jquery, you can overide it and use https://zeptojs.com/ for eg. or other light alternatives(or jquery light)

GJC Web Design

  • 3rd party VirtueMart Developer
  • Super Hero
  • *
  • Posts: 10300
  • Virtuemart, Joomla & php developer
    • GJC Web Design
  • VirtueMart Version: 3.6.8
Re: Virtuemart and joomla 4
« Reply #26 on: August 18, 2021, 15:30:24 pm »
Quote
Using an ~100KB framework (without its dependent packages) to achieve things that can be done with a few lines of vanilla javascript, is a good practice?
Security issues
Great contribution to the total blocking time (TBT)

u can use vanilla JS but as the Jq framework is already loaded and used in multiple scripts and extensions on most websites why not go with the flow?

It's 100KB downloaded once .. after that it's cached...
even this 100KB is relatively insignificant when I regularly see sites with page loads of 4-5MB -- then they add a live chat, tracking, 3rd party reviews, external media etc etc

This security issue thing ... just how many million sites are using Jq ( they say 73% of the 10 million most popular websites ) and a large % of them will be using v1 ... if this security issue was such a flaw surely millions of sites would be down or hacked or don't the hackers know about the flaws?
GJC Web Design
VirtueMart and Joomla Developers - php developers http://www.gjcwebdesign.com
VM3 AusPost Shipping Plugin - e-go Shipping Plugin - VM3 Postcode Shipping Plugin - Radius Shipping Plugin - VM3 NZ Post Shipping Plugin - AusPost Estimator
Samport Payment Plugin - EcomMerchant Payment Plugin - ccBill payment Plugin
VM2 Product Lock Extension - VM2 Preconfig Adresses Extension - TaxCloud USA Taxes Plugin - Virtuemart  Product Review Component
http://extensions.joomla.org/profile/profile/details/67210
Contact for any VirtueMart or Joomla development & customisation

jankoo

  • Jr. Member
  • **
  • Posts: 82
Re: Virtuemart and joomla 4
« Reply #27 on: August 18, 2021, 16:19:07 pm »
ok. som j4 is out. any details on when vm compatible release?

stAn99

  • Contributing Developer
  • Jr. Member
  • *
  • Posts: 97
    • One Page Checkout for Virtuemart 2
Re: Virtuemart and joomla 4
« Reply #28 on: August 23, 2021, 15:59:11 pm »
Hello, i've created a plugin that allows you to run VM3.8.9 on Joomla 4.
https://www.rupostel.com/phpBB3/viewtopic.php?f=7&t=3940

The compatiblity plugin with class overrides is available here:
https://www.rupostel.com/plg_system_j4legacy.zip

that initializes overrides for Virtuemart 3.8.9 which are requried for Virtuemart to run on Joomla 4 code.

This is how to use it:
1. install clearn joomla 4 site
2. install our plugin from above   (https://www.rupostel.com/plg_system_j4legacy.zip)
3. enable our plugin + change your database driver to "Mysqlivm"
4. download - http://dev.virtuemart.net/attachments/1285/com_virtuemart.3.8.9.10514_package_or_extract.zip  and extract
5. install com_virtuemart.3.8.9.10514.zip
6. install com_virtuemart.3.8.9.10514_ext_aio.zip

Report the bugs within the forum.

Note:
This plugin was made for vm3.8.9 - if you are using newer VM version, please disable as many overrides in the plugin as possible within the j4legacy plugin to see if your code is fully compatible with j4.

Our OPC can be run on Joomla 4 from version 2.0.418 and for now it requires this plugin for it to work properly.

Upgrade scenario is not yet tested, but the plugin should work on joomla 3 as well as enabled so upgrading from j3 to j4 might work as well - not tested at the moment.

Please note that running VM or our OPC on Joomla 4 is not yet officially supported and thus no active support can be provided in this matter. We do not recommend to use this on a production site yet.


This is intended purely for developers who need to test their code against both Jooml 4 and Virtuemart

Best Regards, Stan
----
RuposTel.com
www.rupostel.com
Your customized checkout solution for Virtuemart

mmckerracher

  • Beginner
  • *
  • Posts: 2
  • A beginner
Re: Virtuemart and joomla 4
« Reply #29 on: August 26, 2021, 15:22:57 pm »
would also like to know when the J4 compatibility update will be.